EDIT - feature request #2335

Make WorkingSet IdentifiableEntity
04/14/2011 11:09 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.0

Severity: normal

Description

For Xper we need Extensions for additional data associated to a working set. Also Media is needed.

As being the container for all descriptive data and for a multi-access key it also seems to make sense to have it identifiable.

see also #2336

Related issues:
Related to EDIT - feature request #6529: Extend WorkingSet to allow a more fi...

Related to EDIT - feature request #7405: Rename WorkingSet to DescriptiveDataSet

Related to EDIT - feature request #7412: Allow editing supplemental data for ...

Closed
Closed
Closed

Associated revisions

Revision 894359ba - 11/23/2017 03:38 PM - Patrick Plitzner
ref #2335 make WorkingSet identifiable + services

Revision 15956488 - 01/15/2018 05:12 PM - Patrick Plitzner

ref #2335 Revert workings set and services to annotatable

Revision dc267c6c¢ - 01/16/2018 01:10 PM - Patrick Plitzner

ref #2335 Revert workings set services changes

Revision bc14dee7 - 01/16/2018 03:39 PM - Patrick Plitzner

ref #2335 Revert reverted workings set services changes

Revision ed3f9971 - 05/09/2018 01:21 PM - Andreas Miiller
fix #2335 Make WorkingSet IdentifiableEntity

Revision e73de755 - 05/09/2018 01:21 PM - Andreas Miiller
ref #2335 adapt test data schema for identifiable DescriptiveDataSet

Revision d6¢301d9 - 05/11/2018 11:45 AM - Andreas Miiller

ref #2335 fix preferredRepresentation for DescriptiveDataSet with no representation

Revision adcceeae - 05/11/2018 03:42 PM - Andreas Miiller
ref #2335 fix rights handling in TableCreator

Revision dd75251b - 05/12/2018 03:05 AM - Andreas Miiller
ref #2335 fix table name for rights MN

History

#1 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release
#2 - 11/23/2017 10:08 AM - Patrick Plitzner

- Related to feature request #6529: Extend WorkingSet to allow a more fine grained definiton of taxon set added

#3 - 11/23/2017 10:17 AM - Andreas Miiller
- Tags set to additivity

- Description updated

- Status changed from New to In Progress

- Target version changed from CDM UML - Next major release to COM UML 5.0

#4 - 05/07/2018 06:06 PM - Andreas Miuller

- Private changed from Yes to No

#5 - 05/07/2018 06:15 PM - Andreas Miiller
- Related to feature request #7405: Rename WorkingSet to DescriptiveDataSet added

#6 - 05/08/2018 06:42 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

#7 - 05/14/2018 02:45 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#8 - 05/14/2018 03:04 PM - Andreas Miuller

- Related to feature request #7412: Allow editing supplemental data for DescriptiveDataSets added
